summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/wxX11/README9
-rw-r--r--libraries/wxX11/slack-desc19
-rw-r--r--libraries/wxX11/wxX11.SlackBuild62
-rw-r--r--libraries/wxX11/wxX11.info8
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/wxX11/README b/libraries/wxX11/README
new file mode 100644
index 0000000000..b04791fe6f
--- /dev/null
+++ b/libraries/wxX11/README
@@ -0,0 +1,9 @@
+wxWidgets lets developers create applications for Win32, Mac OS X, GTK+, X11,
+Motif, WinCE, and more using one codebase. It can be used from languages such
+as C++, Python, Perl, and C#/.NET. Unlike other cross- platform toolkits,
+wxWidgets applications look and feel native. This is because wxWidgets uses
+the platform's own native controls rather than emulating them.
+
+This package is built with the '--disable-gui' flag, which requires GTK1 or
+GTK2. If you need it for that purpose, then you need to track down those gtk
+dependencies.
diff --git a/libraries/wxX11/slack-desc b/libraries/wxX11/slack-desc
new file mode 100644
index 0000000000..89c95e8de9
--- /dev/null
+++ b/libraries/wxX11/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wxX11: wxX11 (wxWidgets application framework)
+wxX11:
+wxX11: wxWidgets lets developers create applications for
+wxX11: Win32, Mac OS X, GTK+, X11, Motif, WinCE, and more using
+wxX11: one codebase. It can be used from languages such as
+wxX11: C++, Python, Perl, and C#/.NET. Unlike other cross-
+wxX11: platform toolkits, wxWidgets applications look and
+wxX11: feel native. This is because wxWidgets uses the
+wxX11: platform's own native controls rather than emulating them.
+wxX11:
+wxX11: http://www.wxwidgets.org
diff --git a/libraries/wxX11/wxX11.SlackBuild b/libraries/wxX11/wxX11.SlackBuild
new file mode 100644
index 0000000000..d03fc9dd8d
--- /dev/null
+++ b/libraries/wxX11/wxX11.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for wxX11
+
+PRGNAM=wxX11
+VERSION=2.8.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-gui \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/wxX11/wxX11.info b/libraries/wxX11/wxX11.info
new file mode 100644
index 0000000000..5ca847d60a
--- /dev/null
+++ b/libraries/wxX11/wxX11.info
@@ -0,0 +1,8 @@
+PRGNAM="wxX11"
+VERSION="2.8.7"
+HOMEPAGE="http://www.wxwidgets.org"
+DOWNLOAD="http://downloads.sourceforge.net/wxwindows/wxX11-2.8.7.tar.gz"
+MD5SUM="df82508b4cfbff6c81eb5539ef6a0932"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="David Somero"